from RFEM.initModel import *
from RFEM.enums import *
from RFEM.globalParameter import GlobalParameter
from RFEM.ImportExport.exports import ExportResultTablesToCSV

Model(False, 'Stahlbau_Optimierung_2')

span = Model.clientModel.service.get_global_parameter(1)

for i in range(3):
    span.value += 0.5
    Model.clientModel.service.set_global_parameter(span)

    Calculate_all()
    ExportResultTablesToCSV(r'C:\Users\GoebelR\Documents\Schulungen\WS Demo\CSV_Results'  + r'\Iteration_' + str(i+1))

